Skip to content

Delete a site plan pin

Places module

DELETE/site-plan-pins/{id}sitePlanPins.delete

A pin on a site plan. Soft-deletes the site plan pin: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability places.site_plan.write.
  • OAuth scopes: places.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

sitePlanPins.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the site plan pin.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/site-plan-pins/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.sitePlanPins.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.site_plan_pins.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos site-plan-pins delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f